## ros-crystal-ros-workspace 0.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ros_workspace NONE)

find_package(ament_cmake_core REQUIRED)

# Collect current python 3 version
execute_process(COMMAND python3 -c "from distutils import sysconfig; print(sysconfig.get_python_version())" OUTPUT_VARIABLE PYTHON_MAJOR_MINOR OUTPUT_STRIP_TRAILING_WHITESPACE)

# Locate ament_package template files.
set(PYTHON_INSTALL_DIR "lib/python${PYTHON_MAJOR_MINOR}/site-packages")
set(AMENT_PACKAGE_TEMPLATE_DIR "${CMAKE_INSTALL_PREFIX}/${PYTHON_INSTALL_DIR}/ament_package/template")
set(BINARY_PATH_HOOK "${AMENT_PACKAGE_TEMPLATE_DIR}/environment_hook/path.sh")
set(LIBRARY_PATH_HOOK "${AMENT_PACKAGE_TEMPLATE_DIR}/environment_hook/library_path.sh")
set(PYTHONPATH_HOOK "${AMENT_PACKAGE_TEMPLATE_DIR}/environment_hook/pythonpath.sh.in")

set(COLCON_PREFIX_PATH_HOOK "env_hook/colcon_prefix_path.sh")

# Set environment hooks for default environment.
ament_environment_hooks(
  "${BINARY_PATH_HOOK}"
  "${COLCON_PREFIX_PATH_HOOK}"
  "${LIBRARY_PATH_HOOK}"
  "${PYTHONPATH_HOOK}")

ament_package()
ament_generate_environment()

=== debian/changelog ===
ros-crystal-ros-workspace (0.6.1-0bionic) bionic; urgency=high

  * Add COLCON_PREFIX_PATH env hook. (#11 <https://github.com/ros2/ros_workspace/issues/11>)
  * Contributors: Dirk Thomas

 -- Steven! Ragnarök <steven@openrobotics.org>  Thu, 07 Feb 2019 08:00:00 -0000

ros-crystal-ros-workspace (0.6.0-0bionic) bionic; urgency=high

  * Set default environment hooks for PATH, PYTHONPATH, and LD_LIBRARY_PATH. (#10 <https://github.com/ros2/ros_workspace/issues/10>)
    * Drop setting multiarch library by default.
    Installing into a multiarch dir when specifying a non-standard Debian
    package root appears to have been a bug that was fixed in the Bionic
    toolchain.
    Packages that used to require special handling because their libraries
    were placed in, for example, /opt/ros/bouncy/lib/x86_64-linux-gnu/ now
    place their libraries directly in /opt/ros/bouncy/lib.
    Since this is no longer the default, we should not set any default
    environment hooks using that directory.
    Packages which want to explicitly make use of a multiarch library path
    should set their own environment hooks.
    * Add default environment hook for the binary path.
  * set language to NONE as this doesnt compile any code (#9 <https://github.com/ros2/ros_workspace/issues/9>)
  * Contributors: Mikael Arguedas, Steven! Ragnarök

 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 14 Nov 2018 08:00:00 -0000

ros-crystal-ros-workspace (0.5.1-0bionic) bionic; urgency=high

  * Merge pull request #6 <https://github.com/ros2/ros_workspace/issues/6> from ros2/add-default-load-path-unconditionially
    Add default load path unconditionially
  * Add note about default environment hooks and link to further issue.
  * Add /opt/ros/rosdistro/lib to default library path.
    Previously this library path was added to LD_LIBRARY_PATH by environment
    hooks in other packages. However this means that pure-CMake packages
    which don't depend on ament libraries and do not set environment hooks
    of their own aren't found by dependents which are also pure cmake.
    An example of this is fastrtps and fastcdr, both of which are
    third-party cmake packages which do not register environment hooks.
    This bug was previously masked for fastrtps and fastcdr but a
    mis-applied dependency on ament_cmake rather than cmake in fastrtps.
  * Rename hook shell script.
    Since we'll be modifying this to include an additional library path the
    name needs an update.
  * Contributors: Steven! Ragnarök

 -- Steven! Ragnarök <steven@openrobotics.org>  Mon, 18 Jun 2018 07:00:00 -0000

ros-crystal-ros-workspace (0.5.0-0bionic) bionic; urgency=high

  * Merge pull request #5 <https://github.com/ros2/ros_workspace/issues/5> from ros2/ament-package-dependency
    Add direct build dependency on ament_package.
  * Add direct build dependency on ament_package.
    This dependency was previously implied by the dependency on
    ament_cmake_core. Since we directly use environment script templates
    from ament_package let's make that direct dependency explicit.
  * Merge pull request #4 <https://github.com/ros2/ros_workspace/issues/4> from nuclearsandwich/fetch-python-version
    Collect python version to use in pythonpath hook.
  * Collect python version to use in pythonpath hook.
    Initially this was hardcoded. Since the python minor version depends on
    the target platform this will fetch it from the available python3
    binary.
  * Merge pull request #2 <https://github.com/ros2/ros_workspace/issues/2> from nuclearsandwich/cleaner-environment-hooks
    Install gnuinstalldirs library hook as a generic environment hook.
  * Install gnuinstalldirs library hook as a generic environment hook.
  * Contributors: Steven! Ragnarök

 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 13 Jun 2018 07:00:00 -0000

ros-crystal-ros-workspace (0.4.0-0bionic) bionic; urgency=high

  * Fix trailing whitespace bug and drop unneeded export.
  * Add an environment hook to use the platform triplet in library_path.
  * Add really hacky support for gnuinstalldirs.
  * Bump to 0.0.3 for beta 3.
  * Fix the python path bug but only for real.
  * Explicitly set python installation path for the template.
  * Bump to 0.0.2 for consistency.
  * Set the root pythonpath.
    Python packages (at the moment, specifically ament_package) are not
    setting their ament_index resources, so nothing is in the PYTHONPATH for
    those packages. This does some really quite awful things in order to set
    a release-wide "default" python path. I have no doubt that this is
    brittle and that better alternatives (including fixing python package
    ament resources) should be implemented.
  * workspace => ros_workspace
  * Be an ament package in order to make sure package index exists.
  * This might not be enough, but it might be just enough.
  * Contributors: Steven! Ragnarök, Steven! Ragnarök

 -- Steven! Ragnarök <steven@openrobotics.org>  Fri, 08 Dec 2017 08:00:00 -0000

=== debian/control ===
Source: ros-crystal-ros-workspace
Section: misc
Priority: extra
Maintainer: Steven! Ragnarök <steven@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-crystal-ament-cmake-core, ros-crystal-ament-package
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-ros-workspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Provides the prefix level environment files for ROS 2 packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Needed to bootstrap since the ros_workspace package does not yet exist.
export PYTHONPATH=/opt/ros/crystal/lib/python3.6/site-packages

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-ros-workspace//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
